Bug 1123583 - Review Request: perl-Data-Printer - Pretty printer for Perl data structures
Summary: Review Request: perl-Data-Printer - Pretty printer for Perl data structures
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Meng
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1118960 1122484 1122735 1123546
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-26 22:01 UTC by David Dick
Modified: 2014-08-25 01:50 UTC (History)
2 users (show)

Fixed In Version: perl-Data-Printer-0.35-1.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-25 01:50:45 UTC
i: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description David Dick 2014-07-26 22:01:41 UTC
Spec URL: https://ddick.fedorapeople.org/packages/perl-Data-Printer.spec
SRPM URL: https://ddick.fedorapeople.org/packages/perl-Data-Printer-0.35-1.fc20.src.rpm
Description: Pretty printer for Perl data structures
Fedora Account System Username: ddick

Comment 1 Christopher Meng 2014-08-06 08:12:36 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated




===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 7 files have unknown license. Detailed output of
     licensecheck:

Unknown or generated
--------------------
Data-Printer-0.35/examples/try_me.pl
Data-Printer-0.35/lib/DDP.pm
Data-Printer-0.35/lib/Data/Printer.pm
Data-Printer-0.35/lib/Data/Printer/Filter.pm
Data-Printer-0.35/lib/Data/Printer/Filter/DB.pm
Data-Printer-0.35/lib/Data/Printer/Filter/DateTime.pm
Data-Printer-0.35/lib/Data/Printer/Filter/Digest.pm

[x]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by:
     /usr/share/perl5/vendor_perl/Data(perl-Data-OptList, perl-Data-Page,
     perl-Data-Dumper-Concise, perl-Data-Section-Simple, perl-Data-Compare,
     perl-Data-Dump)
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Perl:
[x]: Package contains the mandatory BuildRequires and Requires:.
[x]: CPAN urls should be non-versioned.

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.


Rpmlint
-------
Checking: perl-Data-Printer-0.35-1.fc22.noarch.rpm
          perl-Data-Printer-0.35-1.fc22.src.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint perl-Data-Printer
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
perl-Data-Printer (rpmlib, GLIBC filtered):
    perl(:MODULE_COMPAT_5.18.2)
    perl(B)
    perl(B::Deparse)
    perl(Carp)
    perl(Clone::PP)
    perl(Data::Printer)
    perl(Data::Printer::Filter)
    perl(Fcntl)
    perl(File::HomeDir)
    perl(File::Spec)
    perl(Hash::Util::FieldHash)
    perl(Package::Stash)
    perl(Scalar::Util)
    perl(Sort::Naturally)
    perl(Term::ANSIColor)
    perl(if)
    perl(mro)
    perl(strict)
    perl(version)
    perl(warnings)



Provides
--------
perl-Data-Printer:
    perl(DDP)
    perl(Data::Printer)
    perl(Data::Printer::Filter)
    perl(Data::Printer::Filter::DB)
    perl(Data::Printer::Filter::DateTime)
    perl(Data::Printer::Filter::Digest)
    perl-Data-Printer



Source checksums
----------------
http://www.cpan.org/modules/by-module/Data/Data-Printer-0.35.tar.gz :
  CHECKSUM(SHA256) this package     : 2b601fbd15a79aa46755a2944f5b56a6c9c56036e7181b0fa612f4b678409c55
  CHECKSUM(SHA256) upstream package : 2b601fbd15a79aa46755a2944f5b56a6c9c56036e7181b0fa612f4b678409c55


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -rvn perl-Data-Printer-0.35-1.fc20.src.rpm
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api, Perl
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

-----------------------
1. 
BuildRequires:  perl(DateTime)
BuildRequires:  perl(DateTime::Tiny)
BuildRequires:  perl(DateTime::TimeZone)
BuildRequires:  perl(DateTime::Incomplete)

I think no need to BR perl(DateTime) as the 3 below can add it.
-----------------------
PACKAGE APPROVED.

Comment 2 David Dick 2014-08-06 10:53:36 UTC
Thanks for that Christopher.

New Package SCM Request
=======================
Package Name: perl-Data-Printer
Short Description: Pretty printer for Perl data structures
Upstream URL: http://search.cpan.org/dist/Data-Printer/
Owners: ddick
Branches: f20, f21
InitialCC: perl-sig

Comment 3 Gwyn Ciesla 2014-08-06 11:40:52 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2014-08-16 03:01:57 UTC
perl-Data-Printer-0.35-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/perl-Data-Printer-0.35-1.fc20

Comment 5 Fedora Update System 2014-08-16 22:30:33 UTC
perl-Data-Printer-0.35-1.fc20 has been pushed to the Fedora 20 testing repository.

Comment 6 Fedora Update System 2014-08-25 01:50:45 UTC
perl-Data-Printer-0.35-1.fc20 has been pushed to the Fedora 20 stable repository.


Note You need to log in before you can comment on or make changes to this bug.